Subject: Re: [PATCH 1/4] Add helpers for finding a device node which as a certain property

From: Michael Ellerman <[email-masked]>
Date: Thu, 13 Nov 2008 18:11:43 +1100

On Thu, 2008-11-13 at 17:49 +1100, Michael Ellerman wrote:
> On Wed, 2008-11-12 at 22:46 -0800, David Miller wrote:
> > From: Michael Ellerman <[email-masked]>
> > Date: Thu, 13 Nov 2008 15:20:35 +1100 (EST)
> > 
> > > +	np = from ? from->allnext : allnodes;
> > > +	for (; np; np = np->allnext) {
> > > +		for (pp = np->properties; pp != 0; pp = pp->next) {
> > > +			if (of_prop_cmp(pp->name, prop_name) == 0) {
> > > +				goto out;
> > > +			}
> > > +		}
> > > +	}
> > 
> > We're starting to duplicate a lot of code in this file.
> 
> Agreed.
> 
> > Perhaps split out the locked section of of_find_proeprty() into
> > a __of_find_property() and use that here and in of_find_property()
> > as well?
> 
> Yeah I thought about it, but decided it wasn't worth it. But I'll try it
> and see how the sizes end up.

With my compiler (4.3.1) it just gets inlined and actually makes the
text 8 bytes larger. We might be using different CFLAGs to sparc though.

I didn't think it made the source significantly clearer to split out the
of_find_property() logic, especially seeing as we don't need the lenp
behaviour in of_find_node_with_property().

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person